Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361752 - KVM virtual machine import from RHEV ignores the selected proxy host [NEEDINFO]
Summary: KVM virtual machine import from RHEV ignores the selected proxy host
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.1
Hardware: All
OS: All
medium
medium
Target Milestone: ovirt-4.1.0-alpha
: ---
Assignee: Shahar Havivi
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-30 04:03 UTC by nijin ashok
Modified: 2016-09-01 12:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-01 12:20:25 UTC
oVirt Team: Virt
shavivi: needinfo? (nashok)


Attachments (Terms of Use)

Description nijin ashok 2016-07-30 04:03:37 UTC
Description of problem:

Virtual machine import from KVM is ignoring the "Proxy Host" selected. It always select a fixed host and will ignore the host which is selected as proxy host by user.

Version-Release number of selected component (if applicable):

rhevm-4.0.1.1-0.1.el7ev.noarch

How reproducible:

100%


Steps to Reproduce:

1. In an environment with multiple hosts, try selecting specific host as proxy host. In every case, it will try to connect only from one host.

2. Check "GetVmsFromExternalProviderVDSCommand"  in engine log to find the host which is selected to connect to KVM hypervisor.


Actual results:

RHEV is ignoring the proxy host selected. 

Expected results:

RHEV should connect to the KVM hypervisor using the proxy host selected.

Additional info:

This is not happening for VMware import.

Comment 1 Shahar Havivi 2016-08-30 10:19:59 UTC
Where do you see in the log that it use the same host?

I just test it with two hosts and as I can see the host name is different and the host id:

2016-08-30 13:13:36,308 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetVmsFullInfoFromExternalProviderVDSCommand] (default task-105) [] START, GetVmsFullInfoFromExternalProviderVDSCommand(HostName = luna,    GetVmsFromExternalProviderParameters:{runAsync='true', hostId='62a921cd-6def-423d-a0e1-9b7d2e5bbaa6', ...
..
..
..
2016-08-30 13:13:41,065 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetVmsFullInfoFromExternalProviderVDSCommand] (default task-106) [] START, GetVmsFullInfoFromExternalProviderVDSCommand(HostName = shaharh, GetVmsFromExternalProviderParameters:{runAsync='true', hostId='2e871d73-9d91-4420-86b1-482092f9adf2', ...

Comment 2 Shahar Havivi 2016-09-01 12:20:25 UTC
this issue fixed in patch https://gerrit.ovirt.org/#/c/60409
and will be at 4.1


Note You need to log in before you can comment on or make changes to this bug.